Skip to main content
PATCH
Update Board

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required

Body

application/json

Schema for updating a board.

description
string | null
name
string | null
Required string length: 1 - 255
settings
BoardSettings · object | null

Board-level settings for governance rules.

Response

Successful Response

Schema for board response.

created_at
string<date-time>
required
description
string | null
required
id
string
required
name
string
required
owner_id
string
required
updated_at
string<date-time>
required
agents
AgentSummary · object[]
cards
CardResponse · object[]
realm_id
string | null
settings
BoardSettings · object | null

Board-level settings for governance rules.

Last modified on May 17, 2026